@echo OFF
rem  * *******************************************************************
rem  *               CSDFCTWE1.CMD - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2016 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text   - Glance at the CSD Information for FCTs.
rem  * Author - SimoTime Technologies
rem  * Date   - January 24, 2006
rem  *
rem  * The 1st step will Prepare the environment.
rem  * The 2nd step will extract FCT information from DFHDRDAT.
rem  * The 3rd step will post FCT information to a CSV File.
rem  *
rem  * *******************************************************************
rem  * Step 1 of 3,  Prepare the environment...
rem  *
     set CmdName=CSDFCTW1
     call ..\Env1BASE %CmdName%
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
     set JobStatus=0000
rem  *
     call SimoNOTE "*******************************************************%CmdName%"
     call SimoNOTE "Starting CmdName %CmdName%, V08.06.05, User is %USERNAME%"
     call SimoNOTE "StepInfo Delete previously created files"
     set RDTLSEQ1=%BaseLib1%\DATA\TXT1\SIMOTIME.FCT2TEXT.RDTLSEQ1.TXT
     if exist %RDTLSEQ1% del %RDTFILELSEQ1%
rem  *
rem  * *******************************************************************
rem  * Step 2 of 2, Get FCT Information from RDO File...
rem  *
     call SimoNOTE "StepInfo Create Record Sequential files"
     casrdtex /o%RDTLSEQ1% /gSIMOGRPA /f /e /ip"c:\SimoSam1\DEVL\sys1\CONFIG"
rem  *
     if exist %RDTLSEQ1% goto :PostToCSV
     set JobStatus=0020
     goto :EojNok
rem  *
rem  * *******************************************************************
rem  * Step 3 of 3, Post FCT Information to a CSV File...
rem  *
:PostToCSV
     set CSDGETD1=%RDTLSEQ1%
     set CSDPUTD1=%BaseLib1%\DATA\WRK1\SIMOTIME.FCT2RSEQ.SIMOCICA.DAT
     set CSDPUTD2=%BaseLib1%\DATA\XLSS\SIMOTIME.FCT2LCSV.SIMOCICA.CSV
     set CSDFCTFLAGS=YYNNNNNN/NNNNNNNN
     run CSDFCTC1
     if not "%ERRORLEVEL%" == "0" set JobStatus=0030
     if not "%JobStatus%" == "0000" goto :EojNok
     call SIMONOTE "DataMAKE is %CSDPUTD1% "
     call SIMONOTE "DataMAKE is %CSDPUTD2% "
     goto :EojAok
rem  *
rem  * *******************************************************************
rem  *
:EojAok
     call SimoNOTE "Finished JobName %CmdName%, Job Status is %JobStatus% "
     goto :End
:EojNok
     call SimoNOTE "ABENDING JobName %CmdName%, Job Status is %JobStatus% "
:End
     if not "%1" == "nopause" pause
